# **Vehicle with Fuel Cell Powertrain**
Copyright 2023 The MathWorks(TM), Inc.

This example shows a fuel cell powertrain modeled in Simscape.  A single
fuel cell stack in parallel with a battery powers a single motor that
propels the vehicle. The fuel cell is modeled using a custom domain to
track the different species of gas that are used in the fuel cell.  The
vehicle can be tested on custom drive cycles or using the Drive Cycle
Source from Powertrain Blockset.

View on File Exchange: [![View Fuel Cell Vehicle Model in Simscape on File Exchange](https://www.mathworks.com/matlabcentral/images/matlab-file-exchange.svg)](https://www.mathworks.com/matlabcentral/fileexchange/82340-fuel-cell-vehicle-model-in-simscape)  
You can also open in MATLAB Online: [![Open in MATLAB Online](https://www.mathworks.com/images/responsive/global/open-in-matlab-online.svg)](https://matlab.mathworks.com/open/github/v1?repo=mathworks/Fuel-Cell-Vehicle-Model-Simscape&project=Fuel_Cell_Vehicle.prj)

Open the project Fuel_Cell_Vehicle.prj to get started.

Please visit the [Simscape Fluids](https://www.mathworks.com/products/simscape-fluids.html) 
page to learn more about modeling fluid systems.

[![View Fuel Cell Vehicle Model in Simscape on File Exchange](https://www.mathworks.com/matlabcentral/images/matlab-file-exchange.svg)](https://www.mathworks.com/matlabcentral/fileexchange/82340-fuel-cell-vehicle-model-in-simscape)

## **Fuel Cell Vehicle Model**
![](Overview/html/ssc_car_fuel_cell_1motor_modelLevel.png)

## **Fuel Cell Vehicle Model, Powertrain System**
![](Overview/html/ssc_car_fuel_cell_1motor_powertrainLevel.png)